Name:           libhildon
Version:        2.0.6
Release:        5%{?dist}
Summary:        Hildon Application Framework - shared libraries

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://live.gnome.org/Hildon
Source0:        http://repository.maemo.org/pool/diablo/free/libh/libhildon/libhildon_%{version}-1.tar.gz
#Patch0:         libhildon-2.0.4-ver.patch
Patch0:         libhildon-2.0.6-add-needed.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  automake gettext libtool check-devel perl
BuildRequires:  gtk2-devel esound-devel GConf2-devel
#Requires:       

%description
The Hildon application framework introduces a new desktop for handheld
devices. It comprises a lightweight desktop, a set of widgets
optimized for handheld devices, a set of theming tools and other
complementary libraries and applications.

This package contains the shared libraries needed to run Hildon
applications.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        Documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       gtk-doc

%description    doc
This package contains gtk-doc documentation and examples for %{name}.


%prep
%setup -q
#patch0 -p1 -b .ver
%patch0 -p1 -b .add-needed
# examples directory contain files that are processed during the build process
# even if libhildon is configured not to build examples;
# by copying the source files out, they can be cleanly packaged
mkdir -p dist/examples
cp -p examples/*.c dist/examples/


%build
NOCONFIGURE=yes ./autogen.sh
# 'make check' also checks the examples directory
# so one might as well build the examples to make sure they are compilable
%configure --disable-static \
           --enable-gtk-doc \
           --with-examples \
           --with-maemo-gtk=no
# not parallelizable
#make %{?_smp_mflags}
make


%check
make check


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang hildon

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f hildon.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc HACKING dist/examples
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/hildon-1.pc

%files doc
%defattr(-,root,root,-)
%doc dist/examples
%{_datadir}/gtk-doc/html/hildon


%changelog
* Tue Feb 16 2010 Adam Jackson <ajax@redhat.com> 2.0.6-5
- libhildon-2.0.6-add-needed.patch: Fix FTBFS from --no-add-needed

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb  1 2009 Michel Salim <salimma@fedoraproject.org> - 2.0.6-2
- Separate -doc subpackage

* Fri Jan 30 2009 Michel Salim <salimma@fedoraproject.org> - 2.0.6-1
- Update to 2.0.6
- Added build dependencies on gettext and libtool

* Sun Aug 24 2008 Michel Salim <salimma@fedoraproject.org> - 2.0.4-1
- Initial package

